package com.nantian.cloud.jljc.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jljc.entity.TNotice;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 通知表 服务类
 * @since 2020-10-23
 */
public interface TNoticeService extends IService<TNotice> {

    IPage<TNotice> pageManager(Page page, TNotice tNotice);

    IPage<TNotice> pageCmp(Page page, TNotice tNotice, String epc);

    IPage<TNotice> pageGov(Page page, TNotice tNotice, Integer userid, Integer deptId);

    //返回企业端通知详情以及是否已读消息状态
    TNotice getByIdCmp(Integer id, String epc);

    //返回企业端未读条数
    int noCount(String epc);

    //返回政府端未读条数
    int noCountGov(Integer userid, Integer deptId);

    //返回政府端通知详情以及是否已读消息状态
    TNotice getByIdGov(Integer id, Integer userid, Integer deptId);
}
